package com.example.myapplication.database.repository

import com.example.myapplication.database.dao.CategoryDao
import com.example.myapplication.database.entities.Category

class OfflineCategoryRepository(private val categoryDao: CategoryDao) : CategoryRepository {
    override suspend fun getAll(): List<Category> = categoryDao.getAll()
    override suspend fun insert(category: Category) = categoryDao.insert(category)
}